{-# LANGUAGE OverloadedStrings #-}

module Main where

import Data.Default (def)
import Web.PayPal.Adaptive

-- NOTE: This won't actually run without a real sandbox password, sig, and userId.
main :: IO ()
main = toPayPal client send >>= print

  where
    client :: PpClient
    client = PpClient
      { _clAppId    = "APP-80W284485P519543T" -- Currently the ID for all sandbox apps.
      , _clEnv      = PpSandbox
      , _clPassword = "some-gibberish"
      , _clSig      = "long-string-of-gibberish"
      , _clUserId   = "foo_api1.mail.com"
      }

    send :: SendPayment
    send = def
      { _spReceiverList = ReceiverList
        { _rlAmount = USD 100
        , _rlEmail = "user@mail.com"
        }
      , _spSenderEmail = "foo@mail.com"
      }
